diff --git a/server/stdinhand.c b/server/stdinhand.c
index 03c2f822b4..a1e1153b1a 100644
--- a/server/stdinhand.c
+++ b/server/stdinhand.c
@@ -1759,7 +1775,8 @@ static void show_help_option(struct connection *caller,
     FC_FREE(help);
   }
   cmd_reply(help_cmd, caller, C_COMMENT,
-            _("Status: %s"), (setting_is_changeable(pset, NULL, NULL, 0)
+            _("Status: %s"), (setting_is_changeable(pset, nullptr,
+                                                    nullptr, 0)
                               ? _("changeable") : _("fixed")));
 
   if (setting_is_visible(pset, caller)) {
@@ -1822,11 +1839,11 @@ static void show_help_option(struct connection *caller,
   Only show options which the caller can SEE.
 **************************************************************************/
 static void show_help_option_list(struct connection *caller,
-				  enum command_id help_cmd)
+                                  enum command_id help_cmd)
 {
   cmd_reply(help_cmd, caller, C_COMMENT, horiz_line);
   cmd_reply(help_cmd, caller, C_COMMENT,
-	    _("Explanations are available for the following server options:"));
+            _("Explanations are available for the following server options:"));
   cmd_reply(help_cmd, caller, C_COMMENT, horiz_line);
   if (!caller && con_get_style()) {
     settings_iterate(SSET_ALL, pset) {
@@ -1884,6 +1901,7 @@ static bool explain_option(struct connection *caller, char *str, bool check)
   } else {
     show_help_option_list(caller, CMD_EXPLAIN);
   }
+
   return TRUE;
 }
 
@@ -1893,9 +1911,10 @@ static bool explain_option(struct connection *caller, char *str, bool check)
 static bool wall(char *str, bool check)
 {
   if (!check) {
-    notify_conn(NULL, NULL, E_MESSAGE_WALL, ftc_server_prompt,
+    notify_conn(nullptr, nullptr, E_MESSAGE_WALL, ftc_server_prompt,
                 _("Server Operator: %s"), str);
   }
+
   return TRUE;
 }
 
@@ -1933,7 +1952,7 @@ static bool connectmsg_command(struct connection *caller, char *str,
     if (c == bufsize) {
       /* Truncated */
       cmd_reply(CMD_CONNECTMSG, caller, C_WARNING,
-		_("Connectmsg truncated to %u bytes."), bufsize);
+                _("Connectmsg truncated to %u bytes."), bufsize);
     }
   }
   return TRUE;
@@ -1959,6 +1978,7 @@ static enum command_id cmd_of_level(enum ai_level level)
     case AI_LEVEL_COUNT        : return CMD_NORMAL;
   }
   log_error("Unknown AI level variant: %d.", level);
+
   return CMD_NORMAL;
 }
 
@@ -1968,12 +1988,11 @@ static enum command_id cmd_of_level(enum ai_level level)
 void set_ai_level_direct(struct player *pplayer, enum ai_level level)
 {
   set_ai_level_directer(pplayer, level);
-  send_player_info_c(pplayer, NULL);
-  cmd_reply(cmd_of_level(level), NULL, C_OK,
-	_("Player '%s' now has AI skill level '%s'."),
-	player_name(pplayer),
-	ai_level_translated_name(level));
-  
+  send_player_info_c(pplayer, nullptr);
+  cmd_reply(cmd_of_level(level), nullptr, C_OK,
+            _("Player '%s' now has AI skill level '%s'."),
+            player_name(pplayer),
+            ai_level_translated_name(level));
 }
 
 /**********************************************************************//**
@@ -2006,15 +2025,15 @@ static bool set_ai_level(struct connection *caller, const char *name,
         return TRUE;
       }
       set_ai_level_directer(pplayer, level);
-      send_player_info_c(pplayer, NULL);
+      send_player_info_c(pplayer, nullptr);
       cmd_reply(cmd_of_level(level), caller, C_OK,
-		_("Player '%s' now has AI skill level '%s'."),
-		player_name(pplayer),
-		ai_level_translated_name(level));
+                _("Player '%s' now has AI skill level '%s'."),
+                player_name(pplayer),
+                ai_level_translated_name(level));
     } else {
       cmd_reply(cmd_of_level(level), caller, C_FAIL,
-		_("%s is not controlled by the AI."),
-		player_name(pplayer));
+                _("%s is not controlled by the AI."),
+                player_name(pplayer));
       return FALSE;
     }
   } else if (match_result == M_PRE_EMPTY) {
@@ -2024,7 +2043,7 @@ static bool set_ai_level(struct connection *caller, const char *name,
     players_iterate(cplayer) {
       if (is_ai(cplayer)) {
         set_ai_level_directer(cplayer, level);
-        send_player_info_c(cplayer, NULL);
+        send_player_info_c(cplayer, nullptr);
         cmd_reply(cmd_of_level(level), caller, C_OK,
                   _("Player '%s' now has AI skill level '%s'."),
                   player_name(cplayer),
@@ -2032,7 +2051,7 @@ static bool set_ai_level(struct connection *caller, const char *name,
       }
     } players_iterate_end;
     game.info.skill_level = level;
-    send_game_info(NULL);
+    send_game_info(nullptr);
     cmd_reply(cmd_of_level(level), caller, C_OK,
               _("Default AI skill level set to '%s'."),
               ai_level_translated_name(level));
@@ -2040,6 +2059,7 @@ static bool set_ai_level(struct connection *caller, const char *name,
     cmd_reply_no_such_player(cmd_of_level(level), caller, name, match_result);
     return FALSE;
   }
+
   return TRUE;
 }
 
@@ -2050,7 +2070,7 @@ static bool away_command(struct connection *caller, bool check)
 {
   struct player *pplayer;
 
-  if (caller == NULL) {
+  if (caller == nullptr) {
     cmd_reply(CMD_AWAY, caller, C_FAIL, _("This command is client only."));
     return FALSE;
   }
@@ -2092,14 +2112,14 @@ static void show_ruleset_info(struct connection *caller, enum command_id cmd,
 {
   char *show_arg = "changed";
 
-  /* show changed settings only at the top level of recursion */
+  /* Show changed settings only at the top level of recursion */
   if (read_recursion != 0) {
     return;
   }
 
   show_settings(caller, cmd, show_arg, check);
 
-  if (game.ruleset_summary != NULL) {
+  if (game.ruleset_summary != nullptr) {
     char *translated = fc_strdup(_(game.ruleset_summary));
 
     fc_break_lines(translated, LINE_BREAK);
@@ -2168,7 +2188,7 @@ static bool show_settings(struct connection *caller,
       return TRUE;
     }
   } else {
-    /* to indicate that no command was specified */
+    /* To indicate that no command was specified */
     cmd = LOOKUP_OPTION_NO_RESULT;
     /* Use vital level by default. */
     level = SSET_VITAL;
@@ -2182,7 +2202,8 @@ static bool show_settings(struct connection *caller,
   cmd_reply(called_as, caller, C_COMMENT, "%s", string)
 
   {
-    const char *heading = NULL;
+    const char *heading = nullptr;
+
     switch (level) {
       case SSET_NONE:
         break;
@@ -2205,7 +2226,7 @@ static bool show_settings(struct connection *caller,
         heading = _("Options locked by the ruleset");
         break;
       case OLEVELS_NUM:
-        /* nothing */
+        /* Nothing */
         break;
     }
     if (heading) {
@@ -2257,7 +2278,7 @@ static bool show_settings(struct connection *caller,
     } settings_iterate_end;
     break;
   case OLEVELS_NUM:
-    /* nothing */
+    /* Nothing */
     break;
   }
 
@@ -2302,7 +2323,7 @@ static void show_settings_one(struct connection *caller, enum command_id cmd,
   static char prefix[OPTION_NAME_SPACE + 4 + 1] = "";
   char defaultness;
 
-  fc_assert_ret(pset != NULL);
+  fc_assert_ret(pset != nullptr);
 
   is_changed = setting_non_default(pset);
   setting_value_name(pset, TRUE, value, sizeof(value));
@@ -2329,7 +2350,7 @@ static void show_settings_one(struct connection *caller, enum command_id cmd,
       if (nl) {
         char *p = strchr(nl, '\n');
 
-        fc_assert_action(p != NULL, break);
+        fc_assert_action(p != nullptr, break);
         startpos = p + 1 - value;
       }
     } while (nl);
@@ -2374,7 +2395,7 @@ static bool team_command(struct connection *caller, char *str, bool check)
     return FALSE;
   }
 
-  if (str != NULL || strlen(str) > 0) {
+  if (str != nullptr || strlen(str) > 0) {
     sz_strlcpy(buf, str);
     ntokens = get_tokens(buf, arg, 2, TOKEN_DELIMITERS);
   }
@@ -2386,13 +2407,13 @@ static bool team_command(struct connection *caller, char *str, bool check)
   }
 
   pplayer = player_by_name_prefix(arg[0], &match_result);
-  if (pplayer == NULL) {
+  if (pplayer == nullptr) {
     cmd_reply_no_such_player(CMD_TEAM, caller, arg[0], match_result);
     goto cleanup;
   }
 
   tslot = team_slot_by_rule_name(arg[1]);
-  if (NULL == tslot) {
+  if (tslot == nullptr) {
     int teamno;
 
     if (str_to_int(arg[1], &teamno)) {
@@ -2400,7 +2421,7 @@ static bool team_command(struct connection *caller, char *str, bool check)
     }
   }
 
-  if (NULL == tslot) {
+  if (tslot == nullptr) {
     cmd_reply(CMD_TEAM, caller, C_SYNTAX,
               _("No such team %s. Please give a "
                 "valid team name or number."), arg[1]);
@@ -2416,7 +2437,7 @@ static bool team_command(struct connection *caller, char *str, bool check)
   if (!check) {
     /* Should never fail when slot given is not nullptr */
     team_add_player(pplayer, team_new(tslot));
-    send_player_info_c(pplayer, NULL);
+    send_player_info_c(pplayer, nullptr);
     cmd_reply(CMD_TEAM, caller, C_OK, _("Player %s set to team %s."),
               player_name(pplayer),
               team_slot_name_translation(tslot));
@@ -2424,7 +2445,7 @@ static bool team_command(struct connection *caller, char *str, bool check)
 
   res = TRUE;
 
-  cleanup:
+ cleanup:
   for (i = 0; i < ntokens; i++) {
     free(arg[i]);
   }
@@ -2440,9 +2461,9 @@ static void show_votes(struct connection *caller)
   int count = 0;
   const char *title;
 
-  if (vote_list != NULL) {
+  if (vote_list != nullptr) {
     vote_list_iterate(vote_list, pvote) {
-      if (NULL != caller && !conn_can_see_vote(caller, pvote)) {
+      if (caller != nullptr && !conn_can_see_vote(caller, pvote)) {
         continue;
       }
       /* TRANS: "Vote" or "Teamvote" is voting-as-a-process. Used as
@@ -2454,7 +2475,7 @@ static void show_votes(struct connection *caller)
                   "%d against, and %d abstained out of %d players."),
                 title, pvote->vote_no, pvote->cmdline,
                 MIN(100, pvote->need_pc * 100 + 1),
-                /* TRANS: preserve leading space */
+                /* TRANS: Preserve leading space */
                 pvote->flags & VCF_NODISSENT ? _(" no dissent") : "",
                 pvote->yes, pvote->no, pvote->abstain, count_voters(pvote));
       count++;
@@ -2474,7 +2495,7 @@ static const char *const vote_args[] = {
   "yes",
   "no",
   "abstain",
-  NULL
+  nullptr
 };
 static const char *vote_arg_accessor(int i)
 {
@@ -2491,7 +2512,7 @@ static bool vote_command(struct connection *caller, char *str,
   char *arg[2];
   int ntokens = 0, i = 0, which = -1;
   enum m_pre_result match_result;
-  struct vote *pvote = NULL;
+  struct vote *pvote = nullptr;
   bool res = FALSE;
 
   if (check) {
@@ -2506,14 +2527,14 @@ static bool vote_command(struct connection *caller, char *str,
   if (ntokens == 0) {
     show_votes(caller);
     goto CLEANUP;
-  } else if (!conn_can_vote(caller, NULL)) {
+  } else if (!conn_can_vote(caller, nullptr)) {
     cmd_reply(CMD_VOTE, caller, C_FAIL,
               _("You are not allowed to use this command."));
     goto CLEANUP;
   }
 
   match_result = match_prefix(vote_arg_accessor, VOTE_NUM, 0,
-                              fc_strncasecmp, NULL, arg[0], &i);
+                              fc_strncasecmp, nullptr, arg[0], &i);
 
   if (match_result == M_PRE_AMBIGUOUS) {
     cmd_reply(CMD_VOTE, caller, C_SYNTAX,
@@ -2581,8 +2602,9 @@ static bool vote_command(struct connection *caller, char *str,
 
   res = TRUE;
 
-CLEANUP:
+ CLEANUP:
   free_tokens(arg, ntokens);
+
   return res;
 }
 
@@ -2592,7 +2614,7 @@ CLEANUP:
 static bool cancelvote_command(struct connection *caller,
                                char *arg, bool check)
 {
-  struct vote *pvote = NULL;
+  struct vote *pvote = nullptr;
   int vote_no;
 
   if (check) {
@@ -2605,7 +2627,7 @@ static bool cancelvote_command(struct connection *caller,
   remove_leading_trailing_spaces(arg);
 
   if (arg[0] == '\0') {
-    if (caller == NULL) {
+    if (caller == nullptr) {
       /* Server prompt */
       cmd_reply(CMD_CANCELVOTE, caller, C_SYNTAX,
                 /* TRANS: "vote" as a process */
@@ -2627,7 +2649,7 @@ static bool cancelvote_command(struct connection *caller,
       return FALSE;
     } else if (!caller || conn_get_access(caller) >= ALLOW_ADMIN) {
       clear_all_votes();
-      notify_conn(NULL, NULL, E_VOTE_ABORTED, ftc_server,
+      notify_conn(nullptr, nullptr, E_VOTE_ABORTED, ftc_server,
                   /* TRANS: "votes" as a process */
                   _("All votes have been removed."));
       return TRUE;
@@ -2659,18 +2681,18 @@ static bool cancelvote_command(struct connection *caller,
     return FALSE;
   }
 
-  fc_assert_ret_val(NULL != pvote, FALSE);
+  fc_assert_ret_val(pvote != nullptr, FALSE);
 
   if (caller) {
     notify_team(conn_get_player(vote_get_caller(pvote)),
-                NULL, E_VOTE_ABORTED, ftc_server,
+                nullptr, E_VOTE_ABORTED, ftc_server,
                 /* TRANS: "vote" as a process */
                 _("%s has canceled the vote \"%s\" (number %d)."),
                 caller->username, pvote->cmdline, pvote->vote_no);
   } else {
     /* Server prompt */
     notify_team(conn_get_player(vote_get_caller(pvote)),
-                NULL, E_VOTE_ABORTED, ftc_server,
+                nullptr, E_VOTE_ABORTED, ftc_server,
                 /* TRANS: "vote" as a process */
                 _("The vote \"%s\" (number %d) has been canceled."),
                 pvote->cmdline, pvote->vote_no);
@@ -2697,10 +2719,10 @@ static bool debug_command(struct connection *caller, char *str,
     return FALSE;
   }
   if (check) {
-    return TRUE; /* whatever! */
+    return TRUE; /* Whatever! */
   }
 
-  if (str != NULL && strlen(str) > 0) {
+  if (str != nullptr && strlen(str) > 0) {
     sz_strlcpy(buf, str);
     ntokens = get_tokens(buf, arg, 3, TOKEN_DELIMITERS);
   } else {
@@ -2718,20 +2740,20 @@ static bool debug_command(struct connection *caller, char *str,
       goto cleanup;
     }
     pplayer = player_by_name_prefix(arg[1], &match_result);
-    if (pplayer == NULL) {
+    if (pplayer == nullptr) {
       cmd_reply_no_such_player(CMD_DEBUG, caller, arg[1], match_result);
       goto cleanup;
     }
     if (BV_ISSET(pplayer->server.debug, PLAYER_DEBUG_DIPLOMACY)) {
       BV_CLR(pplayer->server.debug, PLAYER_DEBUG_DIPLOMACY);
-      cmd_reply(CMD_DEBUG, caller, C_OK, _("%s diplomacy no longer debugged"), 
+      cmd_reply(CMD_DEBUG, caller, C_OK, _("%s diplomacy no longer debugged"),
                 player_name(pplayer));
     } else {
       BV_SET(pplayer->server.debug, PLAYER_DEBUG_DIPLOMACY);
-      cmd_reply(CMD_DEBUG, caller, C_OK, _("%s diplomacy debugged"), 
+      cmd_reply(CMD_DEBUG, caller, C_OK, _("%s diplomacy debugged"),
                 player_name(pplayer));
-      /* TODO: print some info about the player here */
-    } 
+      /* TODO: Print some info about the player here */
+    }
   } else if (ntokens > 0 && strcmp(arg[0], "tech") == 0) {
     struct player *pplayer;
     enum m_pre_result match_result;
@@ -2743,19 +2765,19 @@ static bool debug_command(struct connection *caller, char *str,
       goto cleanup;
     }
     pplayer = player_by_name_prefix(arg[1], &match_result);
-    if (pplayer == NULL) {
+    if (pplayer == nullptr) {
       cmd_reply_no_such_player(CMD_DEBUG, caller, arg[1], match_result);
       goto cleanup;
     }
     if (BV_ISSET(pplayer->server.debug, PLAYER_DEBUG_TECH)) {
       BV_CLR(pplayer->server.debug, PLAYER_DEBUG_TECH);
-      cmd_reply(CMD_DEBUG, caller, C_OK, _("%s tech no longer debugged"), 
+      cmd_reply(CMD_DEBUG, caller, C_OK, _("%s tech no longer debugged"),
                 player_name(pplayer));
     } else {
       BV_SET(pplayer->server.debug, PLAYER_DEBUG_TECH);
-      cmd_reply(CMD_DEBUG, caller, C_OK, _("%s tech debugged"), 
+      cmd_reply(CMD_DEBUG, caller, C_OK, _("%s tech debugged"),
                 player_name(pplayer));
-      /* TODO: print some info about the player here */
+      /* TODO: Print some info about the player here */
     }
   } else if (ntokens > 0 && strcmp(arg[0], "info") == 0) {
     int cities = 0, players = 0, units = 0, citizen_count = 0;
@@ -2770,7 +2792,7 @@ static bool debug_command(struct connection *caller, char *str,
     } players_iterate_end;
     log_normal(_("players=%d cities=%d citizens=%d units=%d"),
                players, cities, citizen_count, units);
-    notify_conn(game.est_connections, NULL, E_AI_DEBUG, ftc_log,
+    notify_conn(game.est_connections, nullptr, E_AI_DEBUG, ftc_log,
                 _("players=%d cities=%d citizens=%d units=%d"),
                 players, cities, citizen_count, units);
   } else if (ntokens > 0 && strcmp(arg[0], "city") == 0) {
@@ -2881,16 +2903,18 @@ static bool debug_command(struct connection *caller, char *str,
               _("Undefined argument. Usage:\n%s"),
               command_synopsis(command_by_number(CMD_DEBUG)));
   }
-  cleanup:
+
+ cleanup:
   for (i = 0; i < ntokens; i++) {
     free(arg[i]);
   }
+
   return TRUE;
 }
 
 /**********************************************************************//**
   Helper to validate an argument referring to a server setting.
-  Sends error message and returns NULL on failure.
+  Sends error message and returns nullptr on failure.
 **************************************************************************/
 static struct setting *validate_setting_arg(enum command_id cmd,
                                             struct connection *caller,
@@ -2917,7 +2941,8 @@ static struct setting *validate_setting_arg(enum command_id cmd,
       fc_assert(opt >= LOOKUP_OPTION_RULESETDIR);
       break;
     }
-    return NULL;
+
+    return nullptr;
   }
 
   return setting_by_number(opt);
@@ -3074,7 +3099,7 @@ static bool set_command(struct connection *caller, char *str, bool check)
     char buf[256];
     struct packet_chat_msg packet;
 
-    package_event(&packet, NULL, E_SETTING, ftc_server,
+    package_event(&packet, nullptr, E_SETTING, ftc_server,
                   _("Console: '%s' has been set to %s."), setting_name(pset),
                   setting_value_name(pset, TRUE, buf, sizeof(buf)));
     conn_list_iterate(game.est_connections, pconn) {
@@ -3087,19 +3112,20 @@ static bool set_command(struct connection *caller, char *str, bool check)
 
     setting_changed(pset);
     setting_action(pset);
-    send_server_setting(NULL, pset);
-    /* 
-     * send any modified game parameters to the clients -- if sent
+    send_server_setting(nullptr, pset);
+    /*
+     * Send any modified game parameters to the clients -- if sent
      * before S_S_RUNNING, triggers a popdown_races_dialog() call
-     * in client/packhand.c#handle_game_info() 
+     * in client/packhand.c#handle_game_info()
      */
-    send_game_info(NULL);
+    send_game_info(nullptr);
     reset_all_start_commands(FALSE);
     send_server_info_to_metaserver(META_INFO);
   }
 
-  cleanup:
+ cleanup:
   free_tokens(args, nargs);
+
   return ret;
 }
 
@@ -3122,7 +3148,7 @@ static bool lock_command(struct connection *caller, char *str, bool check)
 
     pset = validate_setting_arg(CMD_SET, caller, args[0]);
 
-    if (pset != NULL) {
+    if (pset != nullptr) {
       setting_admin_lock_set(pset);
       return TRUE;
     }
@@ -3150,7 +3176,7 @@ static bool unlock_command(struct connection *caller, char *str, bool check)
 
     pset = validate_setting_arg(CMD_SET, caller, args[0]);
 
-    if (pset != NULL) {
+    if (pset != nullptr) {
       setting_admin_lock_clear(pset);
       return TRUE;
     }
@@ -3164,7 +3190,7 @@ static bool unlock_command(struct connection *caller, char *str, bool check)
   observe a player.
 
   NB: If this function returns FALSE, then callers expect that 'msg' will
-  be filled in with a NULL-terminated string containing the reason.
+  be filled in with a nullptr-terminated string containing the reason.
 **************************************************************************/
 static bool is_allowed_to_take(struct connection *requester,
                                struct connection *taker,
@@ -3212,11 +3238,11 @@ static bool is_allowed_to_take(struct connection *requester,
     bool ok = FALSE;
 
     if (script_fcdb_call("user_take", requester, taker, pplayer, will_obs,
-			 &ok) && ok) {
+                         &ok) && ok) {
       return TRUE;
     }
   }
-#endif
+#endif /* HAVE_FCDB */
 
   if (!pplayer && will_obs) {
     /* Global observer. */
@@ -3264,7 +3290,7 @@ static bool is_allowed_to_take(struct connection *requester,
       }
       return FALSE;
     }
-  } else { 
+  } else {
     if (!(allow = strchr(game.server.allow_take,
                          (game.info.is_new_game ? 'H' : 'h')))) {
       if (will_obs) {
@@ -3311,24 +3337,24 @@ static bool is_allowed_to_take(struct connection *requester,
 static bool observe_command(struct connection *caller, char *str, bool check)
 {
   int i = 0, ntokens = 0;
-  char buf[MAX_LEN_CONSOLE_LINE], *arg[2], msg[MAX_LEN_MSG];  
+  char buf[MAX_LEN_CONSOLE_LINE], *arg[2], msg[MAX_LEN_MSG];
   bool is_newgame = !game_was_started();
   enum m_pre_result result;
-  struct connection *pconn = NULL;
-  struct player *pplayer = NULL;
+  struct connection *pconn = nullptr;
+  struct player *pplayer = nullptr;
   bool res = FALSE;
-  
-  /******** PART I: fill pconn and pplayer ********/
+
+  /******** PART I: Fill pconn and pplayer ********/
 
   sz_strlcpy(buf, str);
   ntokens = get_tokens(buf, arg, 2, TOKEN_DELIMITERS);
-  
-  /* check syntax, only certain syntax if allowed depending on the caller */
+
+  /* Check syntax, only certain syntax if allowed depending on the caller */
   if (!caller && ntokens < 1) {
     cmd_reply(CMD_OBSERVE, caller, C_SYNTAX, _("Usage:\n%s"),
               command_synopsis(command_by_number(CMD_OBSERVE)));
     goto end;
-  } 
+  }
 
   if (ntokens == 2 && (caller && caller->access_level != ALLOW_HACK)) {
     cmd_reply(CMD_OBSERVE, caller, C_SYNTAX,
@@ -3336,7 +3362,7 @@ static bool observe_command(struct connection *caller, char *str, bool check)
     goto end;
   }
 
-  /* match connection if we're console, match a player if we're not */
+  /* Match connection if we're console, match a player if we're not */
   if (ntokens == 1) {
     if (!caller && !(pconn = conn_by_user_prefix(arg[0], &result))) {
       cmd_reply_no_such_conn(CMD_OBSERVE, caller, arg[0], result);
@@ -3348,7 +3374,7 @@ static bool observe_command(struct connection *caller, char *str, bool check)
     }
   }
 
-  /* get connection name then player name */
+  /* Get connection name then player name */
   if (ntokens == 2) {
     if (!(pconn = conn_by_user_prefix(arg[0], &result))) {
       cmd_reply_no_such_conn(CMD_OBSERVE, caller, arg[0], result);
@@ -3360,28 +3386,28 @@ static bool observe_command(struct connection *caller, char *str, bool check)
     }
   }
 
-  /* if we can't force other connections to observe, assign us to be pconn. */
+  /* If we can't force other connections to observe, assign us to be pconn. */
   if (!pconn) {
     pconn = caller;
   }
 
-  /* if we have no pplayer, it means that we want to be a global observer */
+  /* If we have no pplayer, it means that we want to be a global observer */
 
-  /******** PART II: do the observing ********/
+  /******** PART II: Do the observing ********/
 
-  /* check allowtake for permission */
+  /* Check allowtake for permission */
   if (!is_allowed_to_take(caller, pconn, pplayer, TRUE, msg, sizeof(msg))) {
     cmd_reply(CMD_OBSERVE, caller, C_FAIL, "%s", msg);
     goto end;
   }
 
-  /* observing your own player (during pregame) makes no sense. */
-  if (NULL != pplayer
+  /* Observing your own player (during pregame) makes no sense. */
+  if (pplayer != nullptr
       && pplayer == pconn->playing
       && !pconn->observer
       && is_newgame
       && !pplayer->was_created) {
-    cmd_reply(CMD_OBSERVE, caller, C_FAIL, 
+    cmd_reply(CMD_OBSERVE, caller, C_FAIL,
               _("%s already controls %s. Using 'observe' would remove %s"),
               pconn->username,
               player_name(pplayer),
@@ -3389,45 +3415,45 @@ static bool observe_command(struct connection *caller, char *str, bool check)
     goto end;
   }
 
-  /* attempting to observe a player you're already observing should fail. */
+  /* Attempting to observe a player you're already observing should fail. */
   if (pplayer == pconn->playing && pconn->observer) {
     if (pplayer) {
       cmd_reply(CMD_OBSERVE, caller, C_FAIL,
-		_("%s is already observing %s."),  
-		pconn->username,
-		player_name(pplayer));
+                _("%s is already observing %s."),
+                pconn->username,
+                player_name(pplayer));
     } else {
       cmd_reply(CMD_OBSERVE, caller, C_FAIL,
-		_("%s is already observing."),  
-		pconn->username);
+                _("%s is already observing."),
+                pconn->username);
     }
     goto end;
   }
 
-  res = TRUE; /* all tests passed */
+  res = TRUE; /* All tests passed */
   if (check) {
     goto end;
   }
 
-  /* if the connection is already attached to a player,
+  /* If the connection is already attached to a player,
    * unattach and cleanup old player (rename, remove, etc) */
   if (TRUE) {
     char name[MAX_LEN_NAME];
 
     if (pplayer) {
-      /* if pconn->playing is removed, we'll lose pplayer */
+      /* If pconn->playing is removed, we'll lose pplayer */
       sz_strlcpy(name, player_name(pplayer));
     }
 
     connection_detach(pconn, TRUE);
 
     if (pplayer) {
-      /* find pplayer again, the pointer might have been changed */
+      /* Find pplayer again, the pointer might have been changed */
       pplayer = player_by_name(name);
     }
-  } 
+  }
 
-  /* attach pconn to new player as an observer or as global observer */
+  /* Attach pconn to new player as an observer or as global observer */
   if ((res = connection_attach(pconn, pplayer, TRUE))) {
     if (pplayer) {
       cmd_reply(CMD_OBSERVE, caller, C_OK, _("%s now observes %s"),
@@ -3439,21 +3465,22 @@ static bool observe_command(struct connection *caller, char *str, bool check)
     }
   }
 
-  end:;
-  /* free our args */
+ end:
+  /* Free our args */
   for (i = 0; i < ntokens; i++) {
     free(arg[i]);
   }
+
   return res;
 }
 
 /**********************************************************************//**
-  Take over a player. If a connection already has control of that player, 
-  disallow it. 
+  Take over a player. If a connection already has control of that player,
+  disallow it.
 
   If there are two arguments, treat the first as the connection name and the
   second as the player name (only hack and the console can do this).
-  Otherwise, there should be one argument, that being the player that the 
+  Otherwise, there should be one argument, that being the player that the
   caller wants to take.
 **************************************************************************/
 static bool take_command(struct connection *caller, char *str, bool check)
@@ -3463,15 +3490,15 @@ static bool take_command(struct connection *caller, char *str, bool check)
   bool is_newgame = !game_was_started();
   enum m_pre_result match_result;
   struct connection *pconn = caller;
-  struct player *pplayer = NULL;
+  struct player *pplayer = nullptr;
   bool res = FALSE;
 
-  /******** PART I: fill pconn and pplayer ********/
+  /******** PART I: Fill pconn and pplayer ********/
 
   sz_strlcpy(buf, str);
   ntokens = get_tokens(buf, arg, 2, TOKEN_DELIMITERS);
 
-  /* check syntax */
+  /* Check syntax */
   if (!caller && ntokens != 2) {
     cmd_reply(CMD_TAKE, caller, C_SYNTAX, _("Usage:\n%s"),
               command_synopsis(command_by_number(CMD_TAKE)));
@@ -3495,7 +3522,7 @@ static bool take_command(struct connection *caller, char *str, bool check)
       cmd_reply_no_such_conn(CMD_TAKE, caller, arg[i], match_result);
       goto end;
     }
-    i++; /* found a conn, now reference the second argument */
+    i++; /* Found a conn, now reference the second argument */
   }
 
   if (strcmp(arg[i], "-") == 0) {
@@ -3506,9 +3533,9 @@ static bool take_command(struct connection *caller, char *str, bool check)
       goto end;
     }
 
-    /* Find first uncontrolled player. This will return NULL if there is
+    /* Find first uncontrolled player. This will return nullptr if there is
      * no free players at the moment. Later call to
-     * connection_attach() will create new player for such NULL
+     * connection_attach() will create new player for such nullptr
      * cases. */
     pplayer = find_uncontrolled_player();
     if (pplayer) {
@@ -3520,7 +3547,7 @@ static bool take_command(struct connection *caller, char *str, bool check)
     goto end;
   }
 
-  /******** PART II: do the attaching ********/
+  /******** PART II: Do the attaching ********/
 
   /* Take not possible if the player is involved in a delegation (either
    * it's being controlled, or it's been put aside by the delegate). */
@@ -3531,15 +3558,16 @@ static bool take_command(struct connection *caller, char *str, bool check)
     goto end;
   }
 
-  /* check allowtake for permission */
+  /* Check allowtake for permission */
   if (!is_allowed_to_take(caller, pconn, pplayer, FALSE, msg, sizeof(msg))) {
     cmd_reply(CMD_TAKE, caller, C_FAIL, "%s", msg);
     goto end;
   }
 
-  /* taking your own player makes no sense. */
-  if ((NULL != pplayer && !pconn->observer && pplayer == pconn->playing)
-   || (NULL == pplayer && !pconn->observer && NULL != pconn->playing)) {
+  /* Taking your own player makes no sense. */
+  if ((pplayer != nullptr && !pconn->observer && pplayer == pconn->playing)
+      || (pplayer == nullptr && !pconn->observer
+          && pconn->playing != nullptr)) {
     cmd_reply(CMD_TAKE, caller, C_FAIL, _("%s already controls %s."),
               pconn->username,
               player_name(pconn->playing));
@@ -3568,12 +3596,12 @@ static bool take_command(struct connection *caller, char *str, bool check)
   /* If the player is controlled by another user, forcibly detach
    * the user. */
   if (pplayer && pplayer->is_connected) {
-    if (NULL == caller) {
-       notify_conn(NULL, NULL, E_CONNECTION, ftc_server,
+    if (caller == nullptr) {
+       notify_conn(nullptr, nullptr, E_CONNECTION, ftc_server,
                   _("Reassigned nation to %s by server console."),
                   pconn->username);
     } else {
-      notify_conn(NULL, NULL, E_CONNECTION, ftc_server,
+      notify_conn(nullptr, nullptr, E_CONNECTION, ftc_server,
                   _("Reassigned nation to %s by %s."),
                   pconn->username,
                   caller->username);
@@ -3588,21 +3616,21 @@ static bool take_command(struct connection *caller, char *str, bool check)
     } conn_list_iterate_end;
   }
 
-  /* if the connection is already attached to another player,
+  /* If the connection is already attached to another player,
    * unattach and cleanup old player (rename, remove, etc)
    * We may have been observing the player we now want to take */
-  if (NULL != pconn->playing || pconn->observer) {
+  if (pconn->playing != nullptr || pconn->observer) {
     char name[MAX_LEN_NAME];
 
     if (pplayer) {
-      /* if pconn->playing is removed, we'll lose pplayer */
+      /* If pconn->playing is removed, we'll lose pplayer */
       sz_strlcpy(name, player_name(pplayer));
     }
 
     connection_detach(pconn, TRUE);
 
     if (pplayer) {
-      /* find pplayer again; the pointer might have been changed */
+      /* Find pplayer again; the pointer might have been changed */
       pplayer = player_by_name(name);
     }
   }
